<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout2}">


<head>
    <meta charset="UTF-8">
    <title>Pagu</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4 bd-layout">
    <div th:include="sidebar_setting::sidebar_setting" th:remove="tag"> sidebar </div>

    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    Pagu
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-6">
                <form class="form-horizontal" th:action="@{/setting/paguanggaran/save}" th:object="${paguAnggaran}" method="post">
                    <div class="card">
                        <div class="card-body">

                            <div class="mb-3">
                                <label for="periodeAnggaran" class="form-label">Period</label>
                                <input type="text" class="form-control" id="periodeAnggaran" th:field="*{periodeAnggaran.namaPeriodeAnggaran}" name="periodeAnggaran" placeholder="Code" disabled>
                            </div>

                            <div class="mb-3">
                                <label for="paguAnggaranAmount" class="form-label">Amount</label>
                                <input type="text" class="form-control" id="paguAnggaranAmount" th:field="*{paguAnggaranAmount}" name="paguAnggaranAmount" placeholder="Code">
                                <p th:if="${#fields.hasErrors('paguAnggaranAmount')}" th:errors="*{paguAnggaranAmount}" class="text-danger"> Mata Anggaran Error</p>
                            </div>

                            <div class="mb-3">
                                <label for="persentasePaguAnggaran" class="form-label">%</label>
                                <input type="text" class="form-control" id="persentasePaguAnggaran" th:field="*{persentasePaguAnggaran}" name="persentasePaguAnggaran" placeholder="Code">
                                <p th:if="${#fields.hasErrors('persentasePaguAnggaran')}" th:errors="*{persentasePaguAnggaran}" class="text-danger"> Mata Anggaran Error</p>
                            </div>

                            <div class="mb-3">
                                <label for="keterangan" class="form-label">Description</label>
                                <textarea class="form-control" id="keterangan" name="keterangan" th:field="*{keterangan}" rows="3"></textarea>
                                <p th:if="${#fields.hasErrors('keterangan')}" th:errors="*{keterangan}" class="text-danger"> Mata Anggaran Error</p>
                            </div>

                            <div class="mb-3">
                                <label for="selectsatu" class="form-label">Resource From</label>
                                <select class="form-select" id="selectsatu" name="ambil" th:field="*{ambil}" data-placeholder="Choose one thing" required>
                                    <option th:value="${'NETT'}">NETT</option>
                                    <option th:value="${'DEVIASI'}">DEVIASI</option>
                                </select>
                                <!--                            <input type="hidden" id="requestFor" name="requestFor" th:field="*{requestFor}">-->
                            </div>

                            <div class="form-check">
                                <input name="blocked" id="blocking" type="checkbox" class="form-check-input" th:field="*{blocking}" value="AKTIF" >
                                <label class="form-check-label" for="blocking">
                                    Blocking
                                </label>
                            </div>

                            <input type="hidden" name="id" th:field="*{id}">
                        </div>
                        <div class="card-body">
                            <a th:href="@{/setting/paguanggaran}" class="btn btn-light" style="--bs-btn-bg: #e8ecf1">Cancel</a>
                            <button type="submit" class="btn btn-primary pull-right" style="--bs-btn-bg: #15408d" id="simpan">Save</button>
                        </div>
                    </div>

                </form>
            </div>
        </div>

    </main>

</main>

</body>
</html>



<!--<!DOCTYPE html>-->
<!--<html xmlns:th="http://www.thymeleaf.org"-->
<!--      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"-->
<!--      layout:decorate="~{layout}">-->
<!--<head>-->
<!--    <meta charset="UTF-8">-->
<!--    <title>Pagu</title>-->
<!--</head>-->
<!--<body>-->

<!--<section layout:fragment="breadcrumb" class="content-header">-->
<!--        <h1>-->
<!--            Pagu-->
<!--            <small>Form</small>-->
<!--        </h1>-->
<!--        <ol class="breadcrumb">-->
<!--            <li class="treeview active"> Setting</li>-->
<!--            <li class="active"> Pagu</li>-->
<!--        </ol>-->
<!--</section>-->

<!--<section layout:fragment="main" class="content">-->
<!--        <div class="row">-->

<!--            <div class="col-md-6">-->
<!--                &lt;!&ndash; Horizontal Form &ndash;&gt;-->
<!--                <div class="box box-info">-->
<!--                    <div class="box-header with-border">-->
<!--                        <h3 class="box-title">Form Pagu</h3>-->
<!--                    </div>-->
<!--                    &lt;!&ndash; /.box-header &ndash;&gt;-->
<!--                    &lt;!&ndash; form start &ndash;&gt;-->
<!--                    <form class="form-horizontal" th:action="@{/setting/paguanggaran/save}" th:object="${paguAnggaran}" method="post">-->
<!--                        <div class="box-body">-->

<!--                            <div class="form-group">-->

<!--                                <label class="col-sm-2 control-label">Period</label>-->

<!--                                <div class="col-sm-10">-->
<!--                                        <input type="text" class="form-control" th:field="*{periodeAnggaran.namaPeriodeAnggaran}" name="periodeAnggaran" id="periodeAnggaran" placeholder="0.00" disabled>-->
<!--                                </div>-->

<!--                            </div>-->



<!--                            <div class="form-group">-->
<!--                                <label for="paguAnggaranAmount" class="col-sm-2 control-label">Amount</label>-->

<!--                                <div class="col-sm-10">-->
<!--                                    <input type="text" class="form-control" th:field="*{paguAnggaranAmount}" name="paguAnggaranAmount" id="paguAnggaranAmount" placeholder="0.00">-->
<!--                                    <p th:if="${#fields.hasErrors('paguAnggaranAmount')}" th:errors="*{paguAnggaranAmount}" class="text-danger"> Mata Anggaran Error</p>-->
<!--                                </div>-->
<!--                            </div>-->

<!--                            <div class="form-group">-->
<!--                                <label for="persentasePaguAnggaran" class="col-sm-2 control-label">%</label>-->

<!--                                <div class="col-sm-10">-->
<!--                                    <input type="text" class="form-control" th:field="*{persentasePaguAnggaran}" name="persentasePaguAnggaran" id="persentasePaguAnggaran" placeholder="0.00">-->
<!--                                    <p th:if="${#fields.hasErrors('persentasePaguAnggaran')}" th:errors="*{persentasePaguAnggaran}" class="text-danger"> Mata Anggaran Error</p>-->
<!--                                </div>-->
<!--                            </div>-->

<!--                            <div class="form-group">-->
<!--                                <label for="inputKeterangan" class="col-sm-2 control-label">Descriptio</label>-->

<!--                                <div class="col-sm-10">-->
<!--                                    <textarea class="form-control" rows="3" th:field="*{keterangan}" name="ketarangan" id="inputKeterangan" placeholder="Keterangan ..."></textarea>-->
<!--                                </div>-->
<!--                            </div>-->

<!--                            <div class="form-group">-->
<!--                                <label for="ambil" class="col-sm-2 control-label">Resource From</label>-->

<!--                                <div class="col-sm-10">-->
<!--                                    <select class="form-control select2" name="ambil" th:field="*{ambil}" id="ambil" style="width: 100%;">-->
<!--                                        <option th:value="${'NETT'}">NETT</option>-->
<!--                                        <option th:value="${'DEVIASI'}">DEVIASI</option>-->
<!--                                    </select>-->
<!--                                </div>-->
<!--                            </div>-->

<!--                            <div class="form-group">-->
<!--                                <label for="blocking"  class="col-sm-2 control-label">Blocking</label>-->
<!--                                <div class="col-sm-10">-->
<!--                                    <input name="blocked" id="blocking" type="checkbox" class="flat-red" th:field="*{blocking}" value="AKTIF" >-->
<!--                                </div>-->
<!--                            </div>-->

<!--                            <input type="hidden" name="id" th:field="*{id}">-->
<!--                        </div>-->
<!--                        &lt;!&ndash; /.box-body &ndash;&gt;-->
<!--                        <div class="box-footer">-->

<!--                            <a th:href="@{/setting/paguanggaran}" class="btn btn-default">Cancel</a>-->
<!--                            <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>-->

<!--                        </div>-->
<!--                        &lt;!&ndash; /.box-footer &ndash;&gt;-->
<!--                    </form>-->
<!--                </div>-->
<!--            </div>-->
<!--        </div>-->
<!--</section>-->

<!--<section layout:fragment="footer" class="script">-->
<!--    <script>-->
<!--  $(function () {-->
<!--    //Initialize Select2 Elements-->
<!--    $('.select2').select2()-->

<!--    //Datemask dd/mm/yyyy-->
<!--    $('#datemask').inputmask('yyyy-mm-dd', { 'placeholder': 'dd/mm/yyyy' })-->
<!--    //Datemask2 mm/dd/yyyy-->
<!--    $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })-->
<!--    //Money Euro-->
<!--    $('[data-mask]').inputmask()-->

<!--    //Date range picker-->
<!--    $('#reservation').daterangepicker()-->
<!--    //Date range picker with time picker-->
<!--    $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})-->
<!--    //Date range as a button-->
<!--    $('#daterange-btn').daterangepicker(-->
<!--      {-->
<!--        ranges   : {-->
<!--          'Today'       : [moment(), moment()],-->
<!--          'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],-->
<!--          'Last 7 Days' : [moment().subtract(6, 'days'), moment()],-->
<!--          'Last 30 Days': [moment().subtract(29, 'days'), moment()],-->
<!--          'This Month'  : [moment().startOf('month'), moment().endOf('month')],-->
<!--          'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]-->
<!--        },-->
<!--        startDate: moment().subtract(29, 'days'),-->
<!--        endDate  : moment()-->
<!--      },-->
<!--      function (start, end) {-->
<!--        $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))-->
<!--      }-->
<!--    )-->

<!--    //Date picker-->
<!--    $('#tanggalPenerimaan').datepicker({-->
<!--      autoclose: true, locale: { format: 'YYYY-MM-DD' }-->
<!--    })-->

<!--    //iCheck for checkbox and radio inputs-->
<!--    $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({-->
<!--      checkboxClass: 'icheckbox_minimal-blue',-->
<!--      radioClass   : 'iradio_minimal-blue'-->
<!--    })-->
<!--    //Red color scheme for iCheck-->
<!--    $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({-->
<!--      checkboxClass: 'icheckbox_minimal-red',-->
<!--      radioClass   : 'iradio_minimal-red'-->
<!--    })-->
<!--    //Flat red color scheme for iCheck-->
<!--    $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({-->
<!--      checkboxClass: 'icheckbox_flat-green',-->
<!--      radioClass   : 'iradio_flat-green'-->
<!--    })-->

<!--    //Colorpicker-->
<!--    $('.my-colorpicker1').colorpicker()-->
<!--    //color picker with addon-->
<!--    $('.my-colorpicker2').colorpicker()-->

<!--    //Timepicker-->
<!--    $('.timepicker').timepicker({-->
<!--      showInputs: false-->
<!--    })-->
<!--  })-->
<!--</script>-->
<!--    <script>-->
<!--    $(".js-example-placeholder-single").select2({-->
<!--        placeholder: "Pilih Salah Satu",-->
<!--        allowClear: true-->
<!--    });-->

<!--    $('.simpan').click(function () {-->
<!--        Swal.fire({-->
<!--            position: 'top-end',-->
<!--            type: 'success',-->
<!--            title: 'Your work has been saved',-->
<!--            showConfirmButton: false-->
<!--        })-->
<!--    });-->
<!--</script>-->
<!--</section>-->
<!--</body>-->
<!--</html>-->